| Home | Libraries | People | FAQ | More

# s11n_example Namespace Reference

## Classes

class | client
| Downloads stock quote information from a server. More...
class | connection
| The connection class provides serialization primitives on top of a socket. More...
class | server
| Serves stock quote information to any client that connects to it. More...
struct | stock
| Structure to hold information about a single stock. More...

## Typedefs

typedef boost::shared_ptr< connection > | connection_ptr

## Typedef Documentation

typedef boost::shared_ptr<connection> s11n_example::connection_ptr

Definition at line 170 of file connection.hpp.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff